%define upstream_name    libxml-perl
%define upstream_version 0.08

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:        Various perl modules and script for working with XML
License:        Artistic
Group:          Development/Perl
Url:            http://www.cpan.org
Source0:        %{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:  perl(XML::Parser)
BuildArch:      noarch

Requires:       perl-XML-Parser

%description
The %{upstream_name} perl module is a collection of smaller Perl modules, scripts,
and documents for working with XML in Perl.  libxml-perl software works
in combination with XML::Parser, PerlSAX, XML::DOM, XML::Grove and others.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%__make test

%install
%make_install

%files
%doc Change* README
%{perl_vendorlib}/Data/*
%{perl_vendorlib}/XML/*
%{_mandir}/*/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.80.0-11.mga9
+ Revision: 1804207
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.80.0-10.mga8
+ Revision: 1495297
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.80.0-9.mga7
+ Revision: 1268869
- Mageia 7 Mass Rebuild
+ shlomif <shlomif>
- modernize the .spec.

* Sun Jun 19 2016 pterjan <pterjan> 0.80.0-8.mga6
+ Revision: 1029140
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.80.0-7.mga6
+ Revision: 946962
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.80.0-6.mga5
+ Revision: 739339
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.80.0-5.mga5
+ Revision: 687039
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.80.0-4.mga4
+ Revision: 516380
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.80.0-3.mga3
+ Revision: 375492
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 11 2011 spuhler <spuhler> 0.80.0-2.mga2
+ Revision: 103991
- increase rel for rebuild

* Wed Jan 19 2011 jquelin <jquelin> 0.80.0-1.mga1
+ Revision: 24397
- fix specs
- imported package perl-libxml-perl


* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 0.80.0-1mdv2010.1
+ Revision: 407788
- rebuild using %%perl_convert_version

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.08-4mdv2009.0
+ Revision: 223807
- rebuild

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 0.08-3mdv2008.1
+ Revision: 180828
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sun Jan 14 2007 Olivier Thauvin <nanardon@mandriva.org> 0.08-2mdv2007.0
+ Revision: 108474
- enable test, rebuild

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-libxml-perl

* Fri Nov 26 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.08-1mdk
- 0.08
- remove MANIFEST and empty directories

* Tue Aug 10 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.07-10mdk
- Rebuild for new perl

